//Mittelwert omega=0.0348
//0.0485
//-0.0063

#include<math.h>
#include<Wire.h>

#define GYROSCALE 131.0
#define GYROOFFSET 2.71 //korrigierter Gyrooffset

//4.294.967.295  unsigned long
//    1.000.000  == 1s
//4.000.000.000  == 4000s
//1s == 1000ms == 1.000.000us


const int MPU=0x68;  // I2C address of the MPU-6050
int16_t AcX,AcY,AcZ;

double ax,ay,az;

double stellgroesse;
double m=0.0;

bool SERIELL = false;

//CHAOS FUNCTION

double y_old = 0.56;
double y_new = 0.0;
int value=0;
int i;
double r=3.5;

void setup() 
{  
  // put your setup code here, to run once:
  Wire.begin();
  Wire.beginTransmission(MPU);
  Wire.write(0x6B);  // PWR_MGMT_1 register
  Wire.write(0);     // set to zero (wakes up the MPU-6050)
  Wire.endTransmission(true);

  if(SERIAL==true)
      Serial.begin(9600);

}

void loop() 
{
  // put your main code here, to run repeatedly:
  Wire.beginTransmission(MPU);
  Wire.write(0x3B);  // starting with register 0x3B (ACCEL_XOUT_H)
  Wire.endTransmission(false);
  Wire.requestFrom(MPU,6,true);  // request a total of 14 registers
  AcX=Wire.read()<<8|Wire.read();  // 0x3B (ACCEL_XOUT_H) & 0x3C (ACCEL_XOUT_L)     
  AcY=Wire.read()<<8|Wire.read();  // 0x3D (ACCEL_YOUT_H) & 0x3E (ACCEL_YOUT_L)
  AcZ=Wire.read()<<8|Wire.read();  // 0x3F (ACCEL_ZOUT_H) & 0x40 (ACCEL_ZOUT_L)
  
  ax = (double)AcX;
  ay = (double)AcY;
  az = (double)AcZ;

  if(ax>15000.0)   //limitate
      ax=15000.0;
  if(ax<-15000.0)
      ax=-15000.0;

  if(ay>15000.0)  //scale
      ay=15000.0;
  if(ay<-15000.0)
      ay=-15000.0;

  ax+=15000.0;
  ay+=15000.0;

  ax/=30000.0;  //scale to [0,1]
  ay/=30000.0;

  r = 3.0 + ax;

  y_new = r*y_old*(1.0 - y_old);

  value = (int)(100.0*y_new);

  y_old = y_new;


  tone(13, 200 + 2*value);
  
  delay(10 + (int)(100.0*ay));

  if(SERIELL)
  {
      Serial.print(" arx = "); 
      Serial.print(ax,DEC);
      Serial.print(" ary = "); 
      Serial.println(ay,DEC);
      delay(333);
  }
}


